Register new device
curl --request POST \
--url https://acusight.io/api/core/devices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_id": "<string>",
"auto_assign_to": 123,
"name": "<string>",
"virtual_config": {
"event_frequency": 123,
"event_types": "<string>",
"loop": true,
"max_concurrent_tracks": 123,
"upload_frequency": 123
}
}
'import requests
url = "https://acusight.io/api/core/devices"
payload = {
"device_id": "<string>",
"auto_assign_to": 123,
"name": "<string>",
"virtual_config": {
"event_frequency": 123,
"event_types": "<string>",
"loop": True,
"max_concurrent_tracks": 123,
"upload_frequency": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device_id: '<string>',
auto_assign_to: 123,
name: '<string>',
virtual_config: {
event_frequency: 123,
event_types: '<string>',
loop: true,
max_concurrent_tracks: 123,
upload_frequency: 123
}
})
};
fetch('https://acusight.io/api/core/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/core/devices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'device_id' => '<string>',
'auto_assign_to' => 123,
'name' => '<string>',
'virtual_config' => [
'event_frequency' => 123,
'event_types' => '<string>',
'loop' => true,
'max_concurrent_tracks' => 123,
'upload_frequency' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/core/devices"
payload := strings.NewReader("{\n \"device_id\": \"<string>\",\n \"auto_assign_to\": 123,\n \"name\": \"<string>\",\n \"virtual_config\": {\n \"event_frequency\": 123,\n \"event_types\": \"<string>\",\n \"loop\": true,\n \"max_concurrent_tracks\": 123,\n \"upload_frequency\": 123\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://acusight.io/api/core/devices")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"device_id\": \"<string>\",\n \"auto_assign_to\": 123,\n \"name\": \"<string>\",\n \"virtual_config\": {\n \"event_frequency\": 123,\n \"event_types\": \"<string>\",\n \"loop\": true,\n \"max_concurrent_tracks\": 123,\n \"upload_frequency\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/core/devices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"device_id\": \"<string>\",\n \"auto_assign_to\": 123,\n \"name\": \"<string>\",\n \"virtual_config\": {\n \"event_frequency\": 123,\n \"event_types\": \"<string>\",\n \"loop\": true,\n \"max_concurrent_tracks\": 123,\n \"upload_frequency\": 123\n }\n}"
response = http.request(request)
puts response.read_body{}{}{}{}{}Devices & provisioning
Register new device
Register a new edge device for management and monitoring
POST
/
core
/
devices
Register new device
curl --request POST \
--url https://acusight.io/api/core/devices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_id": "<string>",
"auto_assign_to": 123,
"name": "<string>",
"virtual_config": {
"event_frequency": 123,
"event_types": "<string>",
"loop": true,
"max_concurrent_tracks": 123,
"upload_frequency": 123
}
}
'import requests
url = "https://acusight.io/api/core/devices"
payload = {
"device_id": "<string>",
"auto_assign_to": 123,
"name": "<string>",
"virtual_config": {
"event_frequency": 123,
"event_types": "<string>",
"loop": True,
"max_concurrent_tracks": 123,
"upload_frequency": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
device_id: '<string>',
auto_assign_to: 123,
name: '<string>',
virtual_config: {
event_frequency: 123,
event_types: '<string>',
loop: true,
max_concurrent_tracks: 123,
upload_frequency: 123
}
})
};
fetch('https://acusight.io/api/core/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/core/devices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'device_id' => '<string>',
'auto_assign_to' => 123,
'name' => '<string>',
'virtual_config' => [
'event_frequency' => 123,
'event_types' => '<string>',
'loop' => true,
'max_concurrent_tracks' => 123,
'upload_frequency' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/core/devices"
payload := strings.NewReader("{\n \"device_id\": \"<string>\",\n \"auto_assign_to\": 123,\n \"name\": \"<string>\",\n \"virtual_config\": {\n \"event_frequency\": 123,\n \"event_types\": \"<string>\",\n \"loop\": true,\n \"max_concurrent_tracks\": 123,\n \"upload_frequency\": 123\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://acusight.io/api/core/devices")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"device_id\": \"<string>\",\n \"auto_assign_to\": 123,\n \"name\": \"<string>\",\n \"virtual_config\": {\n \"event_frequency\": 123,\n \"event_types\": \"<string>\",\n \"loop\": true,\n \"max_concurrent_tracks\": 123,\n \"upload_frequency\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/core/devices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"device_id\": \"<string>\",\n \"auto_assign_to\": 123,\n \"name\": \"<string>\",\n \"virtual_config\": {\n \"event_frequency\": 123,\n \"event_types\": \"<string>\",\n \"loop\": true,\n \"max_concurrent_tracks\": 123,\n \"upload_frequency\": 123\n }\n}"
response = http.request(request)
puts response.read_body{}{}{}{}{}Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Body
application/json
Device registration payload
Response
Device registered successfully
The response is of type object.
Was this page helpful?